/**
 * Copyright (c) 2010-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.commons.log;


public abstract class FlowLogData extends LogData {

    private static final long serialVersionUID = -7103476777321787262L;

    /**
     * Name of the contextual property (printed in MONIT trace) storing the
     * trace role (consumer/provider, begin/end) of the step in the flow.
     */
    public static final String FLOW_STEP_TRACE_CODE = "traceCode";

    public FlowLogData(final TraceCode traceCode) {
        super();
        putData(FLOW_STEP_TRACE_CODE, traceCode);
    }   
}
