/**
 * Copyright (c) 2010-2012 EBMWebsourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.commons.log;

import static org.junit.Assert.assertSame;
import static org.junit.Assert.assertTrue;

import org.junit.Ignore;
import org.junit.Test;

public class LevelTest {

    @Test
    public final void testGettingDefaultLevelsReturnJDKObjects() throws Exception {
        assertSame(java.util.logging.Level.OFF, Level.OFF);
        assertSame(java.util.logging.Level.SEVERE, Level.SEVERE);
        assertSame(java.util.logging.Level.WARNING, Level.WARNING);
        assertSame(java.util.logging.Level.INFO, Level.INFO);
        assertSame(java.util.logging.Level.CONFIG, Level.CONFIG);
        assertSame(java.util.logging.Level.FINE, Level.FINE);
        assertSame(java.util.logging.Level.FINER, Level.FINER);
        assertSame(java.util.logging.Level.FINEST, Level.FINEST);
        assertSame(java.util.logging.Level.ALL, Level.ALL);
    }

    @Test
    public final void testMONITLevelBetweenCONFIGandFINE() throws Exception {
        assertTrue(Level.CONFIG.intValue() > Level.MONIT.intValue());
        assertTrue(Level.MONIT.intValue() > Level.FINE.intValue());
    }

    @Test
    public final void testGettingMONITLevelSeveralTimesReturnSameObject() throws Exception {
        assertSame(Level.MONIT, Level.MONIT);
    }

    @Test
    public final void testParsingDefaultLevelsReturnJDKObjects() throws Exception {
        assertSame(java.util.logging.Level.OFF, Level.parse("OFF"));
        assertSame(java.util.logging.Level.SEVERE, Level.parse("SEVERE"));
        assertSame(java.util.logging.Level.WARNING, Level.parse("WARNING"));
        assertSame(java.util.logging.Level.INFO, Level.parse("INFO"));
        assertSame(java.util.logging.Level.CONFIG, Level.parse("CONFIG"));
        assertSame(java.util.logging.Level.FINE, Level.parse("FINE"));
        assertSame(java.util.logging.Level.FINER, Level.parse("FINER"));
        assertSame(java.util.logging.Level.FINEST, Level.parse("FINEST"));
        assertSame(java.util.logging.Level.ALL, Level.parse("ALL"));
    }
    
    @Test
    @Ignore(value = "The instance resulting of the parsing is different of the expected one")
    // TODO: Fix the reason why this step is skiped
    public final void testParsingMONITLevel() throws Exception {
        assertSame(Level.MONIT, Level.parse("MONIT"));
    }

    @Test
    @Ignore(value = "The instance resulting of the parsing is different of the expected one")
    // TODO: Fix the reason why this step is skiped
    public final void testJdkParsingMONITLevel() throws Exception {
        assertSame(Level.MONIT, java.util.logging.Level.parse("MONIT"));
    }
}
